/*
 * @author Venkat Subramaniam
 * DuraSoft, Inc.
 * http://www.durasoftcorp.com/download
 */

using System;

namespace WritingProperties
{
	class User
	{
		[STAThread]
		static void Main(string[] args)
		{
			Car obj = new Car(2003, "Red");

			Console.WriteLine(obj.YearOfMake);
			Console.WriteLine(obj.Color);

			//obj.YearOfMake = 2000; // Error

			try
			{
				obj.Color = "Blue";
				Console.WriteLine(obj.Color);

				obj.Color = "Orange";
				Console.WriteLine(obj.Color);
			}
			catch(Exception ex)
			{
				Console.WriteLine(ex.Message);
			}
			Console.WriteLine(obj.Color);

			Console.WriteLine(obj["YearOfMake"]);
			Console.WriteLine(obj["Color"]);
		}
	}
}
